"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EscapeStatement = exports.GetIdx = exports.Sleep = void 0;
function Sleep(ms) {
    return new Promise((resolve) => setTimeout(() => resolve(), ms));
}
exports.Sleep = Sleep;
function GetIdx(ix) {
    if (ix === 0) {
        return "";
    }
    return ix.toString();
}
exports.GetIdx = GetIdx;
function EscapeStatement(statement) {
    return statement
        .replace(/<pre>/g, "<pre><code>")
        .replace(/<pre><code>\n/g, "<pre><code>")
        .replace(/<\/pre>/g, "</code></pre>")
        .replace(/\*/g, "\\*")
        .replace(/\$/g, "\\$");
}
exports.EscapeStatement = EscapeStatement;
//# sourceMappingURL=utils.js.map